Référence APIPayouts
Create a payout
Creates a manual payout from approved unpaid commissions for a merchant-owned affiliate.
Creates a manual payout from approved unpaid commissions for a merchant-owned affiliate.
Authorization
bearerAuth AuthorizationBearer <token>
API key issued from the merchant dashboard (prefix rc_live_ / rc_test_). Sent as Authorization: Bearer <token>. Used by the SDK and any direct server-to-server integration.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.refcampaign.com/api/v1/payouts" \ -H "Content-Type: application/json" \ -d '{ "affiliateId": "string", "method": "PAYPAL" }'Empty
{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "string",
"details": null
},
"meta": {
"timestamp": "2019-08-24T14:15:22Z",
"requestId": "string"
}
}